Index: uspace/lib/posix/src/time.c
===================================================================
--- uspace/lib/posix/src/time.c	(revision df2e5514fa8f0044ee3ce752a6fd5cf72425718e)
+++ uspace/lib/posix/src/time.c	(revision b2e121ad525328882607c97cdba1a9ded6137d13)
@@ -34,7 +34,4 @@
  */
 
-#define LIBPOSIX_INTERNAL
-#define __POSIX_DEF__(x) posix_##x
-
 #include "internal/common.h"
 #include "posix/time.h"
@@ -70,5 +67,5 @@
  * Set timezone conversion information.
  */
-void posix_tzset(void)
+void tzset(void)
 {
 	// TODO: read environment
@@ -80,17 +77,4 @@
 
 /**
- * Get the time in seconds
- *
- * @param t If t is non-NULL, the return value is also stored in the memory
- *          pointed to by t.
- * @return  On success, the value of time in seconds since the Epoch
- *          is returned. On error, (time_t)-1 is returned.
- */
-time_t posix_time(time_t *t)
-{
-	return time(t);
-}
-
-/**
  * Converts a time value to a broken-down UTC time.
  * 
@@ -99,5 +83,5 @@
  * @return Value of result on success, NULL on overflow.
  */
-struct tm *posix_gmtime_r(const time_t *restrict timer,
+struct tm *gmtime_r(const time_t *restrict timer,
     struct tm *restrict result)
 {
@@ -117,9 +101,9 @@
  *               the result, NULL in case of error.
  */
-struct tm *posix_gmtime(const time_t *restrict timep)
+struct tm *gmtime(const time_t *restrict timep)
 {
 	static struct tm result;
 
-	return posix_gmtime_r(timep, &result);
+	return gmtime_r(timep, &result);
 }
 
@@ -131,10 +115,10 @@
  * @return Value of result on success, NULL on overflow.
  */
-struct tm *posix_localtime_r(const time_t *restrict timer,
+struct tm *localtime_r(const time_t *restrict timer,
     struct tm *restrict result)
 {
 	// TODO: deal with timezone
 	// currently assumes system and all times are in GMT
-	return posix_gmtime_r(timer, result);
+	return gmtime_r(timer, result);
 }
 
@@ -147,9 +131,9 @@
  *                 the result, NULL in case of error.
  */
-struct tm *posix_localtime(const time_t *restrict timep)
+struct tm *localtime(const time_t *restrict timep)
 {
 	static struct tm result;
 
-	return posix_localtime_r(timep, &result);
+	return localtime_r(timep, &result);
 }
 
@@ -163,5 +147,5 @@
  * @return Value of buf.
  */
-char *posix_asctime_r(const struct tm *restrict timeptr,
+char *asctime_r(const struct tm *restrict timeptr,
     char *restrict buf)
 {
@@ -179,9 +163,9 @@
  *                   the result, NULL in case of error.
  */
-char *posix_asctime(const struct tm *restrict timeptr)
+char *asctime(const struct tm *restrict timeptr)
 {
 	static char buf[ASCTIME_BUF_LEN];
 
-	return posix_asctime_r(timeptr, buf);
+	return asctime_r(timeptr, buf);
 }
 
@@ -195,5 +179,5 @@
  * @return Pointer to buf on success, NULL on failure.
  */
-char *posix_ctime_r(const time_t *timer, char *buf)
+char *ctime_r(const time_t *timer, char *buf)
 {
 	if (failed(time_local2str(*timer, buf))) {
@@ -213,9 +197,9 @@
  *                 the result, NULL in case of error.
  */
-char *posix_ctime(const time_t *timep)
+char *ctime(const time_t *timep)
 {
 	static char buf[ASCTIME_BUF_LEN];
 
-	return posix_ctime_r(timep, buf);
+	return ctime_r(timep, buf);
 }
 
@@ -227,5 +211,5 @@
  * @return 0 on success, -1 with errno set on failure.
  */
-int posix_clock_getres(posix_clockid_t clock_id, struct posix_timespec *res)
+int clock_getres(clockid_t clock_id, struct timespec *res)
 {
 	assert(res != NULL);
@@ -249,5 +233,5 @@
  * @return 0 on success, -1 with errno on failure.
  */
-int posix_clock_gettime(posix_clockid_t clock_id, struct posix_timespec *tp)
+int clock_gettime(clockid_t clock_id, struct timespec *tp)
 {
 	assert(tp != NULL);
@@ -275,6 +259,6 @@
  * @return 0 on success, -1 with errno on failure.
  */
-int posix_clock_settime(posix_clockid_t clock_id,
-    const struct posix_timespec *tp)
+int clock_settime(clockid_t clock_id,
+    const struct timespec *tp)
 {
 	assert(tp != NULL);
@@ -302,6 +286,6 @@
  * @return 0 on success, -1 with errno set on failure.
  */
-int posix_clock_nanosleep(posix_clockid_t clock_id, int flags,
-    const struct posix_timespec *rqtp, struct posix_timespec *rmtp)
+int clock_nanosleep(clockid_t clock_id, int flags,
+    const struct timespec *rqtp, struct timespec *rmtp)
 {
 	assert(rqtp != NULL);
@@ -329,10 +313,10 @@
  * @return Consumed CPU cycles by this process or -1 if not available.
  */
-posix_clock_t posix_clock(void)
-{
-	posix_clock_t total_cycles = -1;
+clock_t clock(void)
+{
+	clock_t total_cycles = -1;
 	stats_task_t *task_stats = stats_get_task(task_get_id());
 	if (task_stats) {
-		total_cycles = (posix_clock_t) (task_stats->kcycles +
+		total_cycles = (clock_t) (task_stats->kcycles +
 		    task_stats->ucycles);
 		free(task_stats);
